> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/account/activate-option/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Activate option trading POST https://www.okx.com/api/v5/account/activate-option Activate options trading for the account. Required before placing option orders for the first time. Reference: https://okx-demo.ferndocs.com/api/api-reference/account/activate-option ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AccountActivateOptionPostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AccountActivateOptionPostResponsesContentApplicationJsonSchemaDataItems - `ts` (string, optional) — Activation time, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "ts": "1600000000000" } ] } ``` **SDK Code** ```python account_activateOption_example import requests url = "https://www.okx.com/api/v5/account/activate-option" headers = {"OK-ACCESS-KEY": ""} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript account_activateOption_example const url = 'https://www.okx.com/api/v5/account/activate-option'; const options = {method: 'POST', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go account_activateOption_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/account/activate-option" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby account_activateOption_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/account/activate-option") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java account_activateOption_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/account/activate-option") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php account_activateOption_example request('POST', 'https://www.okx.com/api/v5/account/activate-option', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp account_activateOption_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/account/activate-option"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift account_activateOption_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/activate-option")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```